#ifndef LVIEW_H
#define LVIEW_H

#include <View.h>
#include "Logger.h"

struct LogEntry {
	LogEntry( const char* src, int severity, const char* txt);
	~LogEntry(); 

	LogEntry* prev;
	LogEntry* next;
	char* text;
	char* source;
	int   sev;
};

class LView : public BView {

	public:
		LView(BRect frame, char *name); 
		~LView();
		virtual	void AttachedToWindow();
		virtual	void Draw(BRect updateRect);
		void AddToLog( const char* src, int sev, const char* txt);
		
		void ClearLog();
		void Freeze( bool freezeme);
		
		float DataHeight();
		float DataWidth();
		
		int DisplayedCount() { return my_display_count; }
		
		void Filter( LoggerSeverity sev);
		
	private:
		void CalcDisplayCount();
	
	    int my_display_count;
		LoggerSeverity my_filter;
		struct LogEntry* my_frozen_at;
		
		struct LogEntry my_head;
		float my_lineheight;
		float my_textoffset;
};

#endif
