#ifndef LWINDOW_H
#define LWINDOW_H

#include <Window.h>
#include "LView.h"

const int  LOGGER_MESSAGE = 256;
const char LOGGER_TEXTKEY[] = "text";
const char LOGGER_SOURCEKEY[] = "source";
const char LOGGER_SEVERITYKEY[] = "severity";


class LWindow : public BWindow {
	public:
		LWindow(BRect frame); 
		bool QuitRequested();

	protected:
		virtual void MessageReceived( BMessage*);
		virtual void FrameResized( float, float);
		
	private:
		void ReCalcScrollBars();
		void SetupMenu();
		void ProcessMenuPick( BMessage*);		
		LView* myview;
		class BScrollBar* my_vscrollbar;
		LoggerSeverity my_filter;
		bool my_discarding;
};

#endif
