#include "Logger.h"
#include <Application.h>
#include <Window.h>

class TLWindow : public BWindow {
	public:
		TLWindow(BRect frame); 
		bool QuitRequested();
};

class TLApp : public BApplication {

	public:
		TLApp();

		~TLApp();
		virtual void Pulse();			

	private:
		TLWindow* mywindow;
};


#pragma mark ## MAIN

main()
{	
	TLApp *lapp;
	lapp = new TLApp();
	lapp->Run();
	
	delete(lapp);
	return(0);
}

#pragma mark ## APPLICATION

TLApp::TLApp()
	: BApplication('TLog')
{
	BRect		 aRect;

	// set up a rectangle and instantiate a new window
	aRect.Set( 20, 20, 150, 100);
	mywindow = new TLWindow(aRect);
	
	// make window visible
	mywindow->Show();	
	
	::StartLogging( TRUE);
	SetPulseRate( 1000000.0);
}



TLApp::~TLApp()
{
	SetPulseRate(0);
	::StopLogging();
}

void TLApp::Pulse()
{
	static int pcount = 0;
	::LogPrintf( "TestLogger", LoggerSeverity(pcount % 4), "Pulse(%d)", pcount);	
	pcount++;
}

TLWindow::TLWindow(BRect frame)
	: 	BWindow(frame, "TestLogger", B_TITLED_WINDOW,0) 
{
}

bool TLWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(TRUE);
}
